Chuyển đến nội dung chính
POST
/
entitlements
/
{id}
/
files
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.entitlements.files.upload('id');

console.log(response.file_id);
{
  "file_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

id
string
bắt buộc

Entitlement Id

Phản hồi

File attached to entitlement

file_id
string
bắt buộc

Identifier of the attached file. Pass it to DELETE /entitlements/{id}/files/{file_id} to detach the file later.

Last modified on May 14, 2026